---
name: Pull Request
about: 提交PR以改进或修复`chsrc`工具的功能
title: "[PR] "
labels: ''
assignees: ''
---

### 描述

简要描述此PR的目的或所修复的问题。例如：

- 本PR修复了`chsrc list`命令中列出镜像源时的排序问题。
- 本PR增加了对IPv6测速的支持，允许在使用`chsrc measure`时指定`-ipv6`选项。
- 本PR优化了`set`命令的镜像源选择逻辑，使其自动选择最优源。

---

### 变更内容

列出此PR中的主要更改项：

- [ ] 修复了`list`命令在某些情况下无法正确显示镜像源列表的问题。
- [ ] 增加了对IPv6的支持，允许`measure`命令使用`-ipv6`选项进行测速。
- [ ] 改进了`set <target>`命令的镜像源选择逻辑，自动挑选最快源。
- [ ] 更新了帮助文档，添加了`-no-color`选项的说明。

---

### 相关问题

列出与本PR相关的Issue或任务，使用链接格式进行引用：

- Closes #123 (修复了`list`命令的问题)
- Depends on #789 (等待依赖PR的合并)

---

### 测试说明

描述如何验证该PR：

- 运行`chsrc list`命令，验证镜像源是否按正确的顺序列出。
- 使用`chsrc measure <target> -ipv6`进行IPv6测速，确保能正确测速。
- 运行`chsrc set <target>`命令，验证是否能自动选择最快的源并成功更换。
- 使用`chsrc set <target> https://custom-mirror-url`验证是否能通过自定义URL成功更换源。
- 测试`-no-color`选项，验证输出是否正确显示无色彩的命令行。

---

### 备注

如果有其他需要注意的事项，请在此部分添加：

- `-ipv6`选项需要网络环境支持IPv6地址，测试时请确保IPv6可用。
- 在使用`-dry`选项进行模拟时，命令只会打印过程，而不会实际执行更换源操作。

---

### 风险与注意事项

列出本PR可能带来的风险和需要特别关注的地方：

- **向后兼容性**：此更改向后兼容，所有命令和选项均未改变原有行为。
- **性能影响**：增加了IPv6测速支持，理论上测速速度可能略有变化，取决于网络环境。
- **网络依赖性**：测速命令（`measure`）依赖于网络连接的质量，可能会受到网络状况的影响。

---

### 总结

简要总结PR的内容和预期效果：

- 本PR增加了对IPv6测速的支持，并改进了`set`命令的源选择逻辑。用户将能够更方便地切换到最快的源，同时可以在支持IPv6的网络环境下进行测速。
- 下一步计划：监控测速结果的准确性，并根据用户反馈进一步优化源选择算法。

